
From: Johannes Stezenbach <js@linuxtv.org>

removed useless ifdef: dvb_register_adapter always takes 3 parameters in this tree
(Andreas Oberritter)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/dibusb/dvb-dibusb-dvb.c |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)

diff -puN drivers/media/dvb/dibusb/dvb-dibusb-dvb.c~dvb-dibusb-remove-useless-ifdef drivers/media/dvb/dibusb/dvb-dibusb-dvb.c
--- 25/drivers/media/dvb/dibusb/dvb-dibusb-dvb.c~dvb-dibusb-remove-useless-ifdef	2005-03-21 20:58:29.000000000 -0800
+++ 25-akpm/drivers/media/dvb/dibusb/dvb-dibusb-dvb.c	2005-03-21 20:58:29.000000000 -0800
@@ -125,12 +125,8 @@ int dibusb_dvb_init(struct usb_dibusb *d
 
 	urb_compl_count = 0;
 
-#if LINUX_VERSION_CODE <= KERNEL_VERSION(2,6,4)
-    if ((ret = dvb_register_adapter(&dib->adapter, DRIVER_DESC)) < 0) {
-#else
-    if ((ret = dvb_register_adapter(&dib->adapter, DRIVER_DESC , 
+	if ((ret = dvb_register_adapter(&dib->adapter, DRIVER_DESC,
 			THIS_MODULE)) < 0) {
-#endif
 		deb_info("dvb_register_adapter failed: error %d", ret);
 		goto err;
 	}
_
